#ifndef PYCONVRBM_H_
#define PYCONVRBM_H_

#include <Python.h>
#include <arrayobject.h>
#include <assert.h>

#ifdef EXEC
int main(int argc, char* argv);
#else
extern "C" void init_convrbm();

PyObject* initModel(PyObject *self, PyObject *args);
PyObject* startBatch(PyObject *self, PyObject *args);
PyObject* finishBatch(PyObject *self, PyObject *args);
PyObject* syncWithHost(PyObject *self, PyObject *args);
#endif

#endif /* PYCONVRBM_H_ */
